package org.project.item.consumables;
import org.project.entity.Entity;
import org.project.item.Item;

// TODO: UPDATE IMPLEMENTATION
public abstract class Consumable implements Item {
    /*
    TODO: ADD OTHER REQUIRED AND BONUS METHODS
    */
    protected String name;
    public Consumable(String name) {
        this.name = name;
    }
    public String getName() {
        return name;
    }
    public abstract void use(Entity target);
}
